From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/mypaint/
Date: Sun, 16 Aug 2020 19:48:57 +0000 (UTC) [thread overview]
Message-ID: <1597607322.2b51ea3a2a46efbfafb80a2d8a62f5d678d5f57d.sam@gentoo> (raw)
commit: 2b51ea3a2a46efbfafb80a2d8a62f5d678d5f57d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 16 19:48:42 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 16 19:48:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b51ea3a
media-gfx/mypaint: bump to 2.0.1
Bug: https://bugs.gentoo.org/735374
Bug: https://bugs.gentoo.org/708500
Bug: https://bugs.gentoo.org/701098
Closes: https://bugs.gentoo.org/701104
Closes: https://bugs.gentoo.org/701078
Closes: https://bugs.gentoo.org/662562
Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-gfx/mypaint/Manifest | 1 +
media-gfx/mypaint/mypaint-2.0.1.ebuild | 77 ++++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/media-gfx/mypaint/Manifest b/media-gfx/mypaint/Manifest
index 190d7a1c477..4dd29e8dea2 100644
--- a/media-gfx/mypaint/Manifest
+++ b/media-gfx/mypaint/Manifest
@@ -1 +1,2 @@
DIST mypaint-1.2.1.tar.xz 37897196 BLAKE2B 2d8f6b03f710febae1c2d617a6e542543786be384585ae8a973604da2eba8a0fb770d185aa3d2dfc6f794adf29ffb9c217356a96ab27d677ebb57816f62fae9c SHA512 1783765e495b9535669a83a29d27ba684e6201fdfe0875bdd2c167b1dab8af05993b19025767fe0b2770ed9e578e4709f75d8a4820ac945812cba85609f9eb9b
+DIST mypaint-2.0.1.tar.xz 7295048 BLAKE2B 813a939f95ea6887c57d8c0868e33e9bc8b1b95746d5ecd793d4fd13a32198ee5a445cfdd2691a15e944bfb0099d6ac624dff320ae29465db5b1e0d197bedb30 SHA512 449beddcc6da5d720c9efbeac94a466ed0057bd1962d42ebb419190e8b7fd8ffd341327408467fc5da47920f9d0da1fd6d78233a0dda88de5f5d52d53d9ab562
diff --git a/media-gfx/mypaint/mypaint-2.0.1.ebuild b/media-gfx/mypaint/mypaint-2.0.1.ebuild
new file mode 100644
index 00000000000..cb35547d5db
--- /dev/null
+++ b/media-gfx/mypaint/mypaint-2.0.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit desktop distutils-r1 gnome2-utils xdg xdg-utils
+
+DESCRIPTION="fast and easy graphics application for digital painters"
+HOMEPAGE="http://mypaint.org/"
+SRC_URI="https://github.com/mypaint/${PN}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+LANGS="cs de en_CA en_GB es fr hu id it ja ko nb nn_NO pl pt_BR ro ru sl sv uk zh_CN zh_TW"
+
+BDEPEND="
+ dev-lang/swig
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+RDEPEND="
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/pycairo-1.4[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ ')
+ >=dev-libs/json-c-0.11:=
+ gnome-base/librsvg
+ media-gfx/mypaint-brushes:2.0
+ media-libs/lcms:2
+ >=media-libs/libmypaint-1.5.0
+ media-libs/libpng:0=
+ sys-devel/gettext
+ sys-libs/libomp
+ x11-libs/gtk+:3
+"
+DEPEND="${RDEPEND}"
+
+# Need to poke at failing tests
+# Dying on a numpy assert
+RESTRICT="test"
+
+distutils_enable_tests setup.py
+
+src_install() {
+ distutils-r1_src_install
+
+ newicon pixmaps/${PN}_logo.png ${PN}.png
+
+ local lang=
+ for lang in ${LANGS}; do
+ if ! has ${lang} ${LINGUAS}; then
+ rm -rf "${ED}"/usr/share/locale/${lang} || die
+ fi
+ done
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ xdg_mimeinfo_database_update
+}
next reply other threads:[~2020-08-16 20:06 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-16 19:48 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-09 13:44 [gentoo-commits] repo/gentoo:master commit in: media-gfx/mypaint/ Michał Górny
2025-04-02 9:28 Arthur Zamarin
2025-04-02 9:28 Arthur Zamarin
2025-03-31 16:33 Sam James
2024-07-17 5:54 Sam James
2024-03-06 19:47 Arthur Zamarin
2023-12-28 3:43 Sam James
2023-06-04 15:49 Arthur Zamarin
2023-03-10 8:21 Arthur Zamarin
2023-03-09 8:54 Sam James
2022-01-04 20:45 Sam James
2020-10-20 9:07 Sam James
2020-09-25 8:46 Agostino Sarubbo
2020-09-19 21:29 Sam James
2020-09-18 13:56 Sam James
2020-02-09 16:29 Michał Górny
2020-01-22 21:50 Michał Górny
2020-01-16 6:39 Michał Górny
2019-04-01 17:21 Thomas Deutschmann
2019-03-17 18:13 Agostino Sarubbo
2018-10-13 17:36 Pacho Ramos
2018-10-13 17:36 Pacho Ramos
2018-08-08 17:22 Sebastian Pipping
2018-07-31 22:05 Michał Górny
2018-04-30 15:58 Mike Gilbert
2018-01-05 22:02 Ulrich Müller
2017-09-21 21:06 Mike Gilbert
2017-01-22 0:18 Lars Wendler
2016-12-20 15:51 Tobias Klausmann
2016-03-06 11:45 Markos Chandras
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1597607322.2b51ea3a2a46efbfafb80a2d8a62f5d678d5f57d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox